Name:           utop
Version:        1.2.1
Release:        %mkrel 2
Summary:        An improved toplevel for OCaml
License:        BSD-3-clause
Group:          Development/OCaml
URL:            http://forge.ocamlcore.org/projects/utop/
Source0:        http://forge.ocamlcore.org/frs/download.php/951/utop-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-lambda-term-devel
BuildRequires:  camlp4

%description
Utop is a universal toplevel for OCaml which can run in a terminal or
in emacs. It supports completion, colors, parenthesis matching, ...

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n utop-%{version}

%build
sh configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot}

make
make doc
mv _build/utop-api.docdir/ doc

%install
rm -rf %{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/utop
make install

%files
%doc README LICENSE CHANGES CHANGES.darcs
%dir %{_libdir}/ocaml/utop
%{_bindir}/utop
%{_bindir}/utop-full
%{_datadir}/emacs/site-lisp/utop.el
%{_libdir}/ocaml/utop/META
%{_libdir}/ocaml/utop/*.cmi
%{_libdir}/ocaml/utop/*.cma
%{_libdir}/ocaml/utop/*.cmxs
%{_mandir}/man1/*
%{_mandir}/man5/*

%files devel
%doc doc/
%{_libdir}/ocaml/utop/*.a
%{_libdir}/ocaml/utop/*.cmxa
%{_libdir}/ocaml/utop/*.cmx
%{_libdir}/ocaml/utop/*.mli


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 385200
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 1.2.1-1.mga3
+ Revision: 308602
- update file list
- update to 1.2.1
- update RPM group

* Tue Aug 07 2012 blue_prawn <blue_prawn> 1.2-1.mga3
+ Revision: 279772
- BuildRequires camlp4
- BuildRequires camlp4 and lambda-term
- imported package utop

